PooledJavaComponent.LifeCycleAdaptorFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.component.PooledJavaComponent.LifeCycleAdaptorFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.component
Class PooledJavaComponent.LifeCycleAdaptorFactory

    java.lang.Object
      org.mule.component.PooledJavaComponent.LifeCycleAdaptorFactory

All Implemented Interfaces:
  Disposable, Initialisable, ObjectFactory

Enclosing class:
  PooledJavaComponent

    protected class PooledJavaComponent.LifeCycleAdaptorFactory

extends Object
implements ObjectFactory

`LifeCycleAdaptorFactory` wraps the Component' s `ObjectFactory`. The LifeCycleAdaptorFactory "getInstance()" method creates a new `LifecycleAdapter` wrapping the object instance obtained for the component instance `ObjectFactory` set on the `Component`.
This allows us to keep `LifecycleAdapter` creation in the Component and out of the `DefaultLifecyleEnabledObjectPool` and to use the generic `ObjectPool` interface.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`protected` | `PooledJavaComponent.LifeCycleAdaptorFactory()`

Method Summary
`void` | `addObjectInitialisationCallback(InitialisationCallback callback)` Register a custom initialiser
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`Object` | `getInstance()` Retrieve an instance of the object.
`Class` | `getObjectClass()` Returns the class of the object to be instantiated without actually creating an instance.
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isExternallyManagedLifecycle()` Returns true if Mule should not manage the life-cycle the object instance returned from the ObjectFactory.
`boolean` | `isSingleton()` Returns true if the ObjectFactory implementation always returns the same object instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PooledJavaComponent.LifeCycleAdaptorFactory

    protected PooledJavaComponent.LifeCycleAdaptorFactory()

Method Detail

### getInstance

    public Object getInstance()
                       throws Exception

  Description copied from interface: `ObjectFactory`
  Retrieve an instance of the object. This may create a new instance or look up an existing instance depending on the implementation. If a new instance is created it will also be initialized by this method (Initilisable.initialise()).

  Specified by:
    `getInstance` in interface `ObjectFactory`
  Throws:
    `Exception`

### getObjectClass

    public Class getObjectClass()

  Description copied from interface: `ObjectFactory`
  Returns the class of the object to be instantiated without actually creating an instance. This may not be logical or even possible depending on the implementation.

  Specified by:
    `getObjectClass` in interface `ObjectFactory`

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`

### addObjectInitialisationCallback

    public void addObjectInitialisationCallback(InitialisationCallback callback)

  Description copied from interface: `ObjectFactory`
  Register a custom initialiser

  Specified by:
    `addObjectInitialisationCallback` in interface `ObjectFactory`

### isSingleton

    public boolean isSingleton()

  Description copied from interface: `ObjectFactory`
  Returns true if the ObjectFactory implementation always returns the same object instance.

  Specified by:
    `isSingleton` in interface `ObjectFactory`
  Returns:

### isExternallyManagedLifecycle

    public boolean isExternallyManagedLifecycle()

  Description copied from interface: `ObjectFactory`
  Returns true if Mule should not manage the life-cycle the object instance returned from the ObjectFactory. This is normally false except when an ObjectFactory implementation obtains instance from containers (e.g. Spring) that already manages the objects lifecycle. instance.

  Specified by:
    `isExternallyManagedLifecycle` in interface `ObjectFactory`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.